Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XInformationRecipientRole

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XInformationRecipientRole

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XInformationRecipientRole

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XInformation Recipient Role', and utility methods for working with them. abstDomain: V16772 (C-0-D11555-V13940-V16772-cpt)

See Also:
  `CDAR2Package.getXInformationRecipientRole()`

Field Summary
`static int` | `ASSIGNED` The 'ASSIGNED' literal value.
`static XInformationRecipientRole` | `ASSIGNED_LITERAL` The 'ASSIGNED' literal object.
`static int` | `HLTHCHRT` The 'HLTHCHRT' literal value.
`static XInformationRecipientRole` | `HLTHCHRT_LITERAL` The 'HLTHCHRT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XInformation Recipient Role' enumerators.

Method Summary
`static XInformationRecipientRole` | `get(int value)` Returns the 'XInformation Recipient Role' literal with the specified integer value.
`static XInformationRecipientRole` | `get(java.lang.String literal)` Returns the 'XInformation Recipient Role' literal with the specified literal value.
`static XInformationRecipientRole` | `getByName(java.lang.String name)` Returns the 'XInformation Recipient Role' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASSIGNED

    public static final int ASSIGNED

  The 'ASSIGNED' literal value.

  If the meaning of 'ASSIGNED' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ASSIGNED_LITERAL`, Constant Field Values

### HLTHCHRT

    public static final int HLTHCHRT

  The 'HLTHCHRT' literal value.

  If the meaning of 'HLTHCHRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HLTHCHRT_LITERAL`, Constant Field Values

### ASSIGNED_LITERAL

    public static final XInformationRecipientRole ASSIGNED_LITERAL

  The 'ASSIGNED' literal object.

  See Also:
    `ASSIGNED`

### HLTHCHRT_LITERAL

    public static final XInformationRecipientRole HLTHCHRT_LITERAL

  The 'HLTHCHRT' literal object.

  See Also:
    `HLTHCHRT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XInformation Recipient Role' enumerators.

Method Detail

### get

    public static XInformationRecipientRole get(java.lang.String literal)

  Returns the 'XInformation Recipient Role' literal with the specified literal value.

### getByName

    public static XInformationRecipientRole getByName(java.lang.String name)

  Returns the 'XInformation Recipient Role' literal with the specified name.

### get

    public static XInformationRecipientRole get(int value)

  Returns the 'XInformation Recipient Role' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD